This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 23167 - What fixup is supposed to do
What fixup is supposed to do
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 13:22 EST by Michal Jaegermann
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-02 13:22:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-01-02 13:22:23 EST
A fixup function from /etc/rc.d/init.d/lpd in LPRng-3.6.22-5 does not
seem to be doing anything in particular (it does change a time stamp
on its input files).  I am a bit at loss what it was supposed to be
doing.  Something of that sort?

  perl -pi -e 's/\\\s*$/\n/,s/:\s*$/\n/ unless /^\s*#/' input_file

Not that not running that harms anything, apparently.

Michal
Comment 1 Crutcher Dunnavant 2001-02-01 19:04:01 EST
this was meant to translate old printtool generated printcaps of the form:

lpr|alias1\
:mx#0\
:sd=/var/spool/lpd

for BSD lpd to LPRng style, new printtool printcaps:

lpr|alias1
:mx#0
:sd=/var/spool/lpd

Note You need to log in before you can comment on or make changes to this bug.